## MMKernelEventProperties

MMKernelEventProperties — Helper object to handle kernel event properties.

## Functions

MMKernelEventProperties * | mm_kernel_event_properties_new ()
const gchar * | mm_kernel_event_properties_get_action ()
void | mm_kernel_event_properties_set_action ()
const gchar * | mm_kernel_event_properties_get_name ()
void | mm_kernel_event_properties_set_name ()
const gchar * | mm_kernel_event_properties_get_subsystem ()
void | mm_kernel_event_properties_set_subsystem ()
const gchar * | mm_kernel_event_properties_get_uid ()
void | mm_kernel_event_properties_set_uid ()

## Types and Values

struct | MMKernelEventProperties

## Object Hierarchy

        GObject
        ╰── MMKernelEventProperties

## Description

The MMKernelEventProperties is an object handling the properties to be set in reported kernel events.

This object is created by the user and passed to ModemManager with either `mm_manager_report_kernel_event()` or `mm_manager_report_kernel_event_sync()`.

## Functions

### mm_kernel_event_properties_new ()

    MMKernelEventProperties *
    mm_kernel_event_properties_new (void);

Creates a new empty MMKernelEventProperties.

#### Returns

a MMKernelEventProperties. The returned value should be freed with `g_object_unref()`.

[transfer full]

Since: 1.8

### mm_kernel_event_properties_get_action ()

    const gchar *
    mm_kernel_event_properties_get_action (MMKernelEventProperties *self);

Gets the action.

#### Parameters

self | A MMKernelEventProperties. |

#### Returns

The action. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.8

### mm_kernel_event_properties_set_action ()

    void
    mm_kernel_event_properties_set_action (MMKernelEventProperties *self,
                                           const gchar *action);

Sets the action.

#### Parameters

self | A MMKernelEventProperties. |
action | The action to set. |

Since: 1.8

### mm_kernel_event_properties_get_name ()

    const gchar *
    mm_kernel_event_properties_get_name (MMKernelEventProperties *self);

Gets the name.

#### Parameters

self | A MMKernelEventProperties. |

#### Returns

The name. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.8

### mm_kernel_event_properties_set_name ()

    void
    mm_kernel_event_properties_set_name (MMKernelEventProperties *self,
                                         const gchar *name);

Sets the name.

#### Parameters

self | A MMKernelEventProperties. |
name | The name to set. |

Since: 1.8

### mm_kernel_event_properties_get_subsystem ()

    const gchar *
    mm_kernel_event_properties_get_subsystem
                                   (MMKernelEventProperties *self);

Gets the subsystem.

#### Parameters

self | A MMKernelEventProperties. |

#### Returns

The subsystem. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.8

### mm_kernel_event_properties_set_subsystem ()

    void
    mm_kernel_event_properties_set_subsystem
                                   (MMKernelEventProperties *self,
                                    const gchar *subsystem);

Sets the subsystem.

#### Parameters

self | A MMKernelEventProperties. |
subsystem | The subsystem to set. |

Since: 1.8

### mm_kernel_event_properties_get_uid ()

    const gchar *
    mm_kernel_event_properties_get_uid (MMKernelEventProperties *self);

Gets the unique ID of the physical device.

#### Parameters

self | A MMKernelEventProperties. |

#### Returns

The uid. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.8

### mm_kernel_event_properties_set_uid ()

    void
    mm_kernel_event_properties_set_uid (MMKernelEventProperties *self,
                                        const gchar *uid);

Sets the unique ID of the physical device.

#### Parameters

self | A MMKernelEventProperties. |
uid | The uid to set. |

Since: 1.8

## Types and Values

### struct MMKernelEventProperties

    struct MMKernelEventProperties;

The MMKernelEventProperties structure contains private data and should only be accessed using the provided API.